function vector=write_bruk(name,title,out,nb_mod)
fid = fopen(name,'w');
fprintf(fid,'##TITLE= %s\n',title);
fprintf(fid,'##JCAMP-DX= 5.00 Bruker JCAMP library\n');
fprintf(fid,'##DATA TYPE= Shape Data\n');
fprintf(fid,'##ORIGIN= Bruker BioSpin GmbH\n');
fprintf(fid,'##OWNER= <nmr>\n');
fprintf(fid,'##DATE= 2014/08/01\n');
fprintf(fid,'##TIME= 00:00:00\n');
fprintf(fid,'##$SHAPE_PARAMETERS= Type: matlab Offset Modulation\n');
tmp=min(min(abs(out(1,:))));
fprintf(fid,'##MINX= %.6E\n',tmp);
tmp=max(max(abs(out(1,:))));
fprintf(fid,'##MAXX= %.6E\n',tmp);
tmp_table_angle=angle(out(1,:))*360/pi;
tmp_table_angle=tmp_table_angle+360*(tmp_table_angle<0);
tmp=min(min(tmp_table_angle));
fprintf(fid,'##MINY= %.6E\n',tmp);
tmp=max(max(tmp_table_angle));

fprintf(fid,'##MAXY= %.6E\n',tmp);
fprintf(fid,'##$SHAPE_EXMODE= Excitation\n');
fprintf(fid,'##$SHAPE_TOTROT= 1.800000E02\n');
fprintf(fid,'##$SHAPE_TYPE= Refocussing\n');
fprintf(fid,'##$SHAPE_USER_DEF= \n');
fprintf(fid,'##$SHAPE_REPHFAC= \n');
fprintf(fid,'##$SHAPE_BWFAC= 0\n');
fprintf(fid,'##$SHAPE_BWFAC50= \n');
fprintf(fid,'##$SHAPE_INTEGFAC= 0\n');
fprintf(fid,'##$SHAPE_MODE= %d\n',nb_mod);
fprintf(fid,'##NPOINTS= %d\n',size(out,2));
fprintf(fid,'##XYPOINTS= (XY..XY)\n');
for loop=1:size(out,2),
    if (angle(out(loop))*180/pi) < 0,
        fprintf(fid,'%.6E, %.6E\n',abs(out(loop)),360+angle(out(loop))*180/pi);
    else
        fprintf(fid,'%.6E, %.6E\n',abs(out(loop)),angle(out(loop))*180/pi);
    end
end
fprintf(fid,'##END=\n');
fclose(fid);
return